Google Web Toolkit (Beta)
Search this site:

# Class AbstractCollection

public class AbstractCollection
extends Object
implements Collection
// Superclass of `AbstractSet`, `AbstractList`
Abstract base class for collection implementations.

## Methods

add(Object) |
addAll(Collection) |
clear() |
contains(Object) |
containsAll(Collection) |
isEmpty() |
iterator() |
remove(Object) |
removeAll(Collection) |
retainAll(Collection) |
size() |
toArray() |
toString() |